import { IVisualData } from "./IVisualData";
import { Point, Base, Type } from "./type";
export declare class PointData extends Base implements IVisualData {
    constructor(a: number, b: number);
    private _x;
    x: number;
    private _y;
    y: number;
    serialize(): string;
    static b(a: Point): PointData;
    f(): Point;
    equals(a: any): boolean;
    static readonly empty: PointData;
    static $t: Type;
}
